Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanFeatureInfo

    java.lang.Object
      |
      +--javax.management.MBeanFeatureInfo

Direct Known Subclasses:
  MBeanAttributeInfo, MBeanConstructorInfo, MBeanNotificationInfo, MBeanOperationInfo, MBeanParameterInfo

public class MBeanFeatureInfo
extends java.lang.Object
implements java.io.Serializable

The MBeanFeatureInfo object provides general information for an MBean feature: The feature can be :

An attribute, an operation, a parameter, a returned value or a notification.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `description` The human readable description of the feature.
`protected java.lang.String` | `name` The name of the feature.

Constructor Summary
`MBeanFeatureInfo(java.lang.String name, java.lang.String description)` Constructs a MBeanFeatureInfo object.

Method Summary
`java.lang.String` | `getDescription()` Returns the human readable description of the feature.
`java.lang.String` | `getName()` Returns the name of the feature.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  The name of the feature.

### description

    protected java.lang.String description

  The human readable description of the feature.

Constructor Detail

### MBeanFeatureInfo

    public MBeanFeatureInfo(java.lang.String name,
                            java.lang.String description)

  Constructs a MBeanFeatureInfo object.
  Parameters:
    `name` - The name of the feature.
    `description` - A human readable description of the feature.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the feature.

### getDescription

    public java.lang.String getDescription()

  Returns the human readable description of the feature.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD